> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all application users for this account.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /app/users
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /app/users:
    get:
      tags:
        - ApplicationUsers
      summary: List
      description: |
        List all application users for this account.
      operationId: ApplicationUsersList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List all application users for this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationUserList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    ApplicationUserList:
      type: object
      properties:
        application_users:
          description: |
            list of all application users on this account
          type: array
          items:
            $ref: '#/components/schemas/ApplicationUser'
        uri:
          description: |
            URI of the application user list API resource
          type: string
        next_page_uri:
          description: |
            URI of the next page, or null if there is no next page
          type: string
    ApplicationUser:
      type: object
      properties:
        id:
          description: |
            unique application user resource identifier
          type: string
        uri:
          description: |
            URI of the application user API resource
          type: string
        identity_provider:
          $ref: '#/components/schemas/IdentityProvider'
          description: |
            identity provider that the user authenticated with
        provider_user_id:
          description: |
            unique user identifier
          type: string
        username:
          description: |
            user username
          type: string
        email:
          description: |
            user email
          type: string
        name:
          description: |
            user common name
          type: string
        created_at:
          description: |
            timestamp when the user was created in RFC 3339 format
          type: string
        last_active:
          description: |
            timestamp when the user was last active in RFC 3339 format
          type: string
        last_login:
          description: |
            timestamp when the user last signed-in in RFC 3339 format
          type: string
    IdentityProvider:
      type: object
      properties:
        name:
          description: |
            name of the identity provider (e.g. Google)
          type: string
        url:
          description: |
            URL of the identity provider (e.g. https://accounts.google.com)
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````